2. Check the information
2.1. GetInfo - Check the status of an e-Tax invoice
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
- This API checks the status and summarized information of a single tax invoice.
- Check variable 'stateCode' of returned TaxinvoiceInfo to confirm status of e-Tax invoice.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
|
| MgtKey | string | 24 | Y | Document ID |
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}/{MgtKey}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| itemKey | string | 18 | Identification number assigned by POPBiLL | |
| taxType | string | 2 |
Taxation Type
과세taxable
영세zero-rated
면세exempted
|
|
| writeDate | string | 8 |
Date of preparation
format : yyyyMMdd
|
|
| regDT | string | 14 |
Date of registration as a draft
format : yyyyMMddHHmmss
|
|
| issueType | string | 3 |
Issuance type
정발행general issuance
|
|
| supplyCostTotal | string | 18 |
Sum of supply values
integer values(+/-) only
decimals will be automatically truncated |
|
| taxTotal | string | 18 |
Sum of tax amount
integer values(+/-) only
decimals will be automatically truncated |
|
| purposeType | string | 2 |
Payments received or not
영수payment received
청구payment not received
없음none
|
|
| issueDT | string | 14 |
Date and time of the issuance
format : yyyyMMddHHmmss
|
|
| lateIssueYN | boolean | - |
Whether e-Tax invoice is issued after the due or not
trueissued after the due date
falseissued within the due date
|
|
| openYN | boolean | - |
Whether a buyer viewed an issued e-Tax invoice via notification mail or not
trueviewed
falsedid not view
The status is changed to 'Checked' when buyer checks the details of e-Tax invoice via the notification mail clicking the button on the bottom
|
|
| openDT | string | 14 |
Date and time of checking an e-Tax invoice
format : yyyyMMddHHmmss
|
|
| stateMemo | string | 200 | Memo about status information | |
| stateCode | string | 3 |
Status Code
refer to [Status Code]
|
|
| stateDT | string | 14 |
Date and time of the status change
format : yyyyMMddHHmmss
|
|
| ntsconfirmNum | string | 18 |
NTS confirmation number
POPBiLL automatically assigns this when issuing a tax invoice.
|
|
| ntsresult | string | 6 | Filing result from the NTS | |
| ntssendDT | string | 14 |
Date and time of the NTS filing
format : yyyyMMddHHmmss
|
|
| ntsresultDT | string | 14 |
Date and time of receiving NTS filing result
format : yyyyMMddHHmmss
|
|
| ntssendErrCode | string | 6 | NTS filing result code | |
| modifyCode | number | 1 |
Reason for revocation
Refer to [Revised Invoice]
|
|
| interOPYN | boolean | - |
Whether e-Tax invoice is issued by API or not
trueissued via API
falseissued via POPBiLL service website
|
|
| invoicerCorpName | string | 200 | [Seller] company name | |
| invoicerCorpNum | string | 10 |
[Seller] business registration number 10 digits except a hyphen(‘-’)
|
|
| invoicerMgtKey | string | 24 |
[Seller] document ID
a unique value that can be entered with alphanumeric values and special characters(‘-’, ‘_’)
|
|
| invoicerPrintYN | boolean | - |
[Seller] whether e-Tax invoice is printed or not
trueprinted
falsenot printed
|
|
| invoiceeCorpName | string | 200 | [Buyer] company name | |
| invoiceeCorpNum | string | 13 |
[Buyer] business registration number
- if {invoiceeType} = 사업자(business proprietor type) : business registration number, 10 digits except a hyphen(‘-’) - if {invoiceeType} = 개인(individual type) : resident registration number, 13 digits except a hyphen(‘-’) - if {invoiceeType} = 외국인(foreigner type) : 9999999999999 |
|
| invoiceePrintYN | boolean | - |
[Buyer] whether e-Tax invoice is printed or not
trueprinted
falsenot printed
|
|
| closeDownState | number | 1 |
[Buyer] status of the business
|
|
| closeDownStateDate | string | 8 |
[Buyer] date of the business closure
format : yyyyMMdd
|
Response Example
{
"invoiceePrintYN": false,
"openYN": false,
"taxType": "과세",
"invoicerCorpNum": "1234567890",
"invoicerMgtKey": "MKGTKEY-0002",
"invoicerCorpName": "공급자 상호",
"invoicerPrintYN": false,
"invoiceeCorpName": "공급받는자 상호",
"trusteePrintYN": false,
"taxTotal": "1000",
"supplyCostTotal": "10000",
"purposeType": "영수",
"ntsconfirmNum": "202510168888888800000002",
"closeDownState": 0,
"lateIssueYN": false,
"stateCode": 300,
"interOPYN": true,
"itemKey": "025102114360700001",
"issueDT": "20251021143607",
"stateDT": "20251021143608",
"regDT": "20251021143608",
"invoiceeCorpNum": "1234567890",
"issueType": "정발행",
"writeDate": "20251016"
}
2.2. GetInfos - Check the status of bulk submission for e-tax invoices
POST
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}
POST
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}
- This API checks the status and summarized information of multiple e-Tax invoices. (maximum : 1,000 invoices)
- Check variable 'stateCode' of returned TaxinvoiceInfo to confirm status of e-Tax invoice.
- We recommend to use this API when a user implements the list of e-Tax invoices with document IDs.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
Request Body
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| - | array | - | Y |
List of Document ID of e-Tax invoices to print
maximum : 1,000 invoices
|
Request Example
curl --request POST \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}' \
--header 'Authorization: Bearer {token}' \
--data '["TEST0001", "TEST0002"]'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| itemKey | string | 18 | Identification number assigned by POPBiLL | |
| taxType | string | 2 |
Taxation Type
과세taxable
영세zero-rated
면세exempted
|
|
| writeDate | string | 8 |
Date of preparation
format : yyyyMMdd
|
|
| regDT | string | 14 |
Date of registration as a draft
format : yyyyMMddHHmmss
|
|
| issueType | string | 3 |
Issuance type
정발행general issuance
|
|
| supplyCostTotal | string | 18 |
Sum of supply values
integer values(+/-) only
decimals will be automatically truncated |
|
| taxTotal | string | 18 |
Sum of tax amount
integer values(+/-) only
decimals will be automatically truncated |
|
| purposeType | string | 2 |
Payments received or not
영수payment received
청구payment not received
없음none
|
|
| issueDT | string | 14 |
Date and time of the issuance
format : yyyyMMddHHmmss
|
|
| lateIssueYN | boolean | - |
Whether e-Tax invoice is issued after the due or not
trueissued after the due date
falseissued within the due date
|
|
| openYN | boolean | - |
Whether a buyer viewed an issued e-Tax invoice via notification mail or not
trueviewed
falsedid not view
The status is changed to 'Checked' when buyer checks the details of e-Tax invoice via the notification mail clicking the button on the bottom
|
|
| openDT | string | 14 |
Date and time of checking an e-Tax invoice
format : yyyyMMddHHmmss
|
|
| stateMemo | string | 200 | Memo about status information | |
| stateCode | string | 3 |
Status Code
refer to [Status Code]
|
|
| stateDT | string | 14 |
Date and time of the status change
format : yyyyMMddHHmmss
|
|
| ntsconfirmNum | string | 18 |
NTS confirmation number
POPBiLL automatically assigns this when issuing a tax invoice.
|
|
| ntsresult | string | 6 | Filing result from the NTS | |
| ntssendDT | string | 14 |
Date and time of the NTS filing
format : yyyyMMddHHmmss
|
|
| ntsresultDT | string | 14 |
Date and time of receiving NTS filing result
format : yyyyMMddHHmmss
|
|
| ntssendErrCode | string | 6 |
NTS filing result code
Refer to [ntssendErrCode]
|
|
| modifyCode | number | 1 |
Reason for revocation
Refer to [Revised Invoice]
|
|
| interOPYN | boolean | - |
Whether e-Tax invoice is issued by API or not
trueissued via API
falseissued via POPBiLL service website
|
|
| invoicerCorpName | string | 200 | [Seller] company name | |
| invoicerCorpNum | string | 10 |
[Seller] business registration number 10 digits except a hyphen(‘-’)
|
|
| invoicerMgtKey | string | 24 |
[Seller] document ID
a unique value that can be entered with alphanumeric values and special characters(‘-’, ‘_’)
|
|
| invoicerPrintYN | boolean | - |
[Seller] whether e-Tax invoice is printed or not
trueprinted
falsenot printed
|
|
| invoiceeCorpName | string | 200 | [Buyer] company name | |
| invoiceeCorpNum | string | 13 |
[Buyer] business registration number
- if {invoiceeType} = 사업자(business proprietor type) : business registration number, 10 digits except a hyphen(‘-’) - if {invoiceeType} = 개인(individual type) : resident registration number, 13 digits except a hyphen(‘-’) - if {invoiceeType} = 외국인(foreigner type) : 9999999999999 |
|
| invoiceePrintYN | boolean | - |
[Buyer] whether e-Tax invoice is printed or not
trueprinted
falsenot printed
|
|
| closeDownState | number | 1 |
[Buyer] status of the business
|
|
| closeDownStateDate | string | 8 |
[Buyer] date of the business closure
format : yyyyMMdd
|
Response Example
[
{
"invoiceePrintYN": false,
"openYN": false,
"taxType": "과세",
"invoicerCorpNum": "1234567890",
"invoicerMgtKey": "MKGTKEY-0002",
"invoicerCorpName": "공급자 상호",
"invoicerPrintYN": false,
"invoiceeCorpName": "공급받는자 상호",
"trusteePrintYN": false,
"taxTotal": "1000",
"supplyCostTotal": "10000",
"purposeType": "영수",
"ntsconfirmNum": "202510168888888800000002",
"closeDownState": 0,
"lateIssueYN": false,
"stateCode": 300,
"interOPYN": true,
"itemKey": "025102114360700001",
"issueDT": "20251021143607",
"stateDT": "20251021143608",
"regDT": "20251021143608",
"invoiceeCorpNum": "1234567890",
"issueType": "정발행",
"writeDate": "20251016"
}
]
2.3. GetDetailInfo - Check the detailed information of the e-Tax invoice
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
- This API checks the detailed information of a single tax invoice.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| Detail | - | - | Y |
Deatiled information
Input as an empty value
|
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}/{MgtKey}?Detail' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description | ||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| ntsconfirmNum | string | 24 |
NTS confirmation number
POPBiLL automatically assigns this when issuing a tax invoice.
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| issueType | string | 3 |
Issuance type
정발행general issuance
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| taxType | string | 2 |
Taxation Type
과세taxable
영세zero-rated
면세exempted
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| chargeDirection | string | 3 |
Charging Direction
정과금Paid by seller
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| serialNum | string | 30 |
Serial number
item to manage the list of e-Tax invoice
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| kwon | number | 4 |
Volume of a book
item to manage the list of e-Tax invoice
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| ho | number | 4 |
Number of a book
item to manage the list of e-Tax invoice
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| writeDate | string | 8 |
Date of preparation
format : yyyyMMdd
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| purposeType | string | 2 |
Payments received or not
영수payment received
청구payment not received
없음none
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| supplyCostTotal | string | 18 | Sum of supply values | |||||||||||||||||||||||||||||||||||||||||||||||||||
| taxTotal | string | 18 | Sum of tax amount | |||||||||||||||||||||||||||||||||||||||||||||||||||
| totalAmount | string | 18 | Total amount | |||||||||||||||||||||||||||||||||||||||||||||||||||
| cash | string | 18 | Payment method – ‘cash’ | |||||||||||||||||||||||||||||||||||||||||||||||||||
| chkBill | string | 18 | Payment method – ‘check’ | |||||||||||||||||||||||||||||||||||||||||||||||||||
| credit | string | 18 | Payment method – ‘credit’ | |||||||||||||||||||||||||||||||||||||||||||||||||||
| note | string | 18 | Payment method – ‘note’ | |||||||||||||||||||||||||||||||||||||||||||||||||||
| remark1 | string | 150 | 1st Remark | |||||||||||||||||||||||||||||||||||||||||||||||||||
| remark2 | string | 150 | 2nd Remark | |||||||||||||||||||||||||||||||||||||||||||||||||||
| remark3 | string | 150 | 3rd Remark | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerMgtKey | string | 24 | [Seller] document ID | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerCorpNum | string | 10 |
[Seller] business registration number 10 digits except a hyphen(‘-’)
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerTaxRegID | string | 4 |
[Seller] identification number of a branch place
4 digits value
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerCorpName | string | 200 | [Seller] company name | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerCEOName | string | 100 | [Seller] CEO name | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerAddr | string | 300 | [Seller] company address | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerBizType | string | 100 | [Seller] type of business | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerBizClass | string | 100 | [Seller] items of business | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerContactName | string | 100 | [Seller] name of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerDeptName | string | 100 | [Seller] department of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerTEL | string | 20 | [Seller] contact number of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerHP | string | 20 | [Seller] cell phone number of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoicerEmail | string | 100 | [Seller] email of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeType | string | 3 |
[Buyer] type of customer
사업자business proprietor
개인individual
외국인foreigner
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeCorpNum | string | 13 |
Buyer Business Registration Number
- if {invoiceeType} = 사업자(business proprietor type) : business registration number, 10 digits except a hyphen(‘-’) - if {invoiceeType} = 개인(individual type) : resident registration number, 13 digits except a hyphen(‘-’) - if {invoiceeType} = 외국인(foreigner type) : 9999999999999 |
|||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeTaxRegID | string | 4 |
[Buyer] identification number of a branch place
4 digits value
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeCorpName | string | 200 | [Buyer] company name | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeCEOName | string | 100 | [Buyer] CEO name | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeAddr | string | 300 | [Buyer] company address | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeBizType | string | 100 | [Buyer] type of business | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeBizClass | string | 100 | [Buyer] items of business | |||||||||||||||||||||||||||||||||||||||||||||||||||
| closeDownState | number | 1 |
[Buyer] status of the business
POPBiLL automatically executes this process when an e-Tax invoice is issued.
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| closeDownStateDate | string | 8 |
[Buyer] date of the business closure
format : yyyyMMdd
if {closedownState} value = 2 or 3, this value will be returned
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeContactName1 | string | 100 | [Buyer] name of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeDeptName1 | string | 100 | [Buyer] department of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeTEL1 | string | 20 | [Buyer] contact number of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeHP1 | string | 20 | [Buyer] telephone number of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceeEmail1 | string | 100 | [Buyer] email of the person in charge | |||||||||||||||||||||||||||||||||||||||||||||||||||
| modifyCode | number | 1 |
Reason for revocation
returns this for a revised invoice only
Refer to [Revised Invoice] |
|||||||||||||||||||||||||||||||||||||||||||||||||||
| orgNTSConfirmNum | string | 24 |
NTS confirmation number of the original tax invoice
returns this for a revised invoice only
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
| detailList | array | - |
Detailed list of items
maximum : 99
|
|||||||||||||||||||||||||||||||||||||||||||||||||||
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||
| addContactList | array | - |
Additional person in charge information of the buyer
maximum : 5
use this when sending notification mails to multiple persons in charge |
|||||||||||||||||||||||||||||||||||||||||||||||||||
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response Example
{
"writeSpecification": false,
"writeDate": "20251016",
"chargeDirection": "정과금",
"issueType": "정발행",
"issueTiming": "직접발행",
"taxType": "과세",
"invoicerCorpNum": "1234567890",
"invoicerMgtKey": "MKGTKEY-0002",
"invoicerTaxRegID": "0001",
"invoicerCorpName": "공급자 상호",
"invoicerCEOName": "공급자 대표자 성명",
"invoicerAddr": "공급자 주소",
"invoicerBizClass": "공급자 종목",
"invoicerBizType": "공급자 업태",
"invoicerContactName": "공급자 담당자 성명",
"invoicerDeptName": "공급자 담당자 부서명",
"invoicerTEL": "010-1234-5678",
"invoicerHP": "010-1234-5678",
"invoicerEmail": "test@test.com",
"invoicerSMSSendYN": false,
"invoiceeCorpNum": "1234567890",
"invoiceeType": "사업자",
"invoiceeTaxRegID": "0001",
"invoiceeCorpName": "공급받는자 상호",
"invoiceeCEOName": "공급받는자 대표자 성명",
"invoiceeAddr": "공급받는자 주소",
"invoiceeBizType": "공급받는자 업태",
"invoiceeBizClass": "공급받는자 종목",
"invoiceeContactName1": "공급받는자 담당자 성명",
"invoiceeDeptName1": "공급받는자 담당자 부서명",
"invoiceeTEL1": "010-1234-5678",
"invoiceeHP1": "010-1234-5678",
"invoiceeEmail1": "test@test.com",
"invoiceeSMSSendYN": false,
"trusteeSMSSendYN": false,
"taxTotal": "1000",
"supplyCostTotal": "10000",
"totalAmount": "11000",
"purposeType": "영수",
"businessLicenseYN": false,
"bankBookYN": false,
"faxsendYN": false,
"ntsconfirmNum": "202510168888888800000002",
"detailList": [
{
"serialNum": 1,
"purchaseDT": "20251016",
"itemName": "품명",
"spec": "규격",
"qty": "1",
"unitCost": "10000",
"supplyCost": "10000",
"tax": "1000",
"remark": "비고"
}
],
"addContactList": [
{
"serialNum": 1,
"contactName": "담당자 성명",
"email": "test@test.com"
}
],
"closeDownState": 0
}
2.4. GetXML - Return an e-Tax invoice into an XML file
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
- This API returns the detailed information of a single tax invoice into an XML file.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| XML | - | - | Y |
XML
Input as an empty value
|
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}/{MgtKey}?XML' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| code | number | - | API response code | |
| message | string | - | API response message | |
| retObject | string | - | XML file of the tax invoice |
Response Example
{
"code": 1,
"message": "확인완료",
"retObject": "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>\n<TaxInvoice..."
}
2.5. Search - Search the list of e-Tax invoices
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}
GET
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}
- This API searches an e-Tax invoice corresponded to the search criteria. (Maximum search scope of period : 6 months)
- We recommend to use this API when a user implements the list of e-Tax invoices with items related to the page (variables : Page, perPage, Order).
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| DType | string | 1 | Y |
Date type in search criteria
Rdate of registration
Wdate of preparation
Iissuance date
|
|
| SDate | string | 8 | Y |
Initial date of search scope
format : yyyyMMdd
|
|
| EDate | string | 8 | Y |
Last date of search scope
format : yyyyMMdd
|
|
| State | string | - | N |
e-Tax invoice status code
wild card(*) can be put on 2nd, 3rd letter
e.g., "3**", "6**" search all if not entered
|
|
| Type | string | - | N |
Type of e-Tax invoice (multiple choice is possible)
NNgeneral
M[revised] e-Tax invoice
Separate with a comma(',') for multiple selections. e.g. N,M
search all if not entered
|
|
| TaxType | string | - | N |
Taxation Type (multiple choice is possible)
Ttaxable
Nexempted
Zzero-rated
Separate with a comma(',') for multiple selections. e.g. T,N
search all if not entered
|
|
| IssueType | string | - | N |
Issuance type
Ngeneral issuance
search all if not entered
|
|
| LateOnly | boolean | - | N |
Whether e-Tax invoice is issued after the due or not
trueissued after the due date
falseissued within the due date
search all if not entered
|
|
| TaxRegIDType | string | 1 | N |
Type of the Identification number branch place
Sseller
Bbuyer
search all if not entered
|
|
| TaxRegID | string | - | N |
Identification number for branch place
Separate with a comma(',') for multiple searches. e.g. 1234,1000
search all if not entered
|
|
| TaxRegIDYN | string | 1 | N |
Whether the Identification number for branch place exists or not.
0does not exist
1exist
search all if not entered
|
|
| QString | string | - | N |
Search Criteria (do not enter hyphen)
- buyer’s company name - business Registration Number (for company) - residential Registration Number (for individual) - 9999999999999 (for foreigner) search all if not entered
|
|
| Page | number | - | Y |
Page number
default : 1
|
|
| PerPage | number | - | N |
The number of list to be displayed per page
maximum value : 1,000
default value : 500
|
|
| Order | string | 1 | N |
Sort order related to the value of {DType}
Ddescending (default)
Aascending
|
|
| InterOPYN | string | 1 | N |
Whether an e-Tax invoice is issued by API or not
0issued via POPBiLL service website
1issued via API
search all if not entered
|
|
| RegType | string | - | N |
Registration type of e-Tax invoice (multiple choice is possible)
Pregistered in POPBiLL
Hregistered(issued) in Hometax or another ASP
Separate with a comma(',') for multiple selections. e.g. P,H
search all if not entered
|
|
| CloseDownState | string | - | N |
Business status (multiple choice is possible)
Separate with a comma(',') for multiple selections. e.g. N,0
search all if not entered
|
|
| MgtKey | string | - | N |
Search criteria for an e-Tax invoice Document ID NTS Confirmation number search all if not entered
|
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}?DType={DType}&SDate={SDate}&EDate={EDate}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | number | - |
API response code
1Success
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| message | string | - | API response message | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| total | string | - | Total number of search results | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| perPage | string | - | Number of items per page | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pageNum | string | - | Page number | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| pageCount | string | - | Number of pages | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| list | array | - |
Status/summarized info of tax invoice
The configuration is same as the returned value of [GetInfo – Check the status of an e-Tax invoice] API.
maximum : 1,000 invoices |
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Response Example
{
"code": 1,
"total": 14,
"perPage": 500,
"pageNum": 1,
"pageCount": 1,
"list": [
{
"invoicerPrintYN": false,
"invoiceeCorpName": "공급받는자 상호",
"invoiceePrintYN": false,
"trusteePrintYN": false,
"taxTotal": "10000",
"supplyCostTotal": "100000",
"lateIssueYN": false,
"stateCode": 100,
"taxType": "과세",
"purposeType": "영수",
"itemKey": "025102220380000001",
"interOPYN": true,
"writeDate": "20251022",
"issueType": "정발행",
"openYN": false,
"invoicerCorpNum": "1234567890",
"invoicerMgtKey": "20251022-10",
"invoicerCorpName": "공급자 상호",
"invoiceeCorpNum": "8888888888",
"regDT": "20251022203801",
"stateDT": "20251022203801"
},
]
"message": "검색 완료"
}
2.6. GetLogs - Check the log of e-Tax invoice status changes
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}/Logs
GET
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}/Logs
- This API checks the log of status changes of an e-Tax invoice.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
|
| MgtKey | string | 24 | Y | Document ID |
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}/{MgtKey}/Logs' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| docLogType | number | 3 |
Log type
|
|
| log | string | 2000 | Log information | |
| procType | string | 3 |
Handling type
연동processed via API
일반processed via POPBiLL service website
시스템processed via POPBiLL system
|
|
| procCorpName | string | 70 | Name of the company in charge of processing | |
| procContactName | string | 30 | Name of the person in charge of processing | |
| procMemo | string | 200 | Memo on processing | |
| regDT | string | 14 |
Date and time of the registration
format : yyyyMMddHHmmss
|
|
| ip | string | 39 | IP address |
Response Example
[
{
"ip": "192.***.*.104",
"log": "임시저장 되었습니다.",
"regDT": "20251021143608",
"docLogType": 100,
"procType": "연동",
"procCorpName": "회사명",
"procContactName": "담당자 성명2"
}
]
2.7. GetURL - URL for an e-Tax invoice menu
GET
https://popbill-test.linkhub.co.kr/Taxinvoice
GET
https://popbill.linkhub.co.kr/Taxinvoice
- This API returns the URL to access the menu related to an e-Tax invoice of POPBiLL service website in login status.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y |
Targeted Menu
|
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice?TG={TG}' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Returned URL of response on the request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=IRXSGITDREOTPOIRLPUHCB4BSBC4...NX7BMAR3="
}
2.8. GetPDF - e-Tax invoice PDF Download
GET
https://popbill-test.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Taxinvoice/{MgtKeyType}/{MgtKey}
- Download 1 e-Tax invoice PDF.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| MgtKeyType | string | - | Y |
Type of the e-Tax invoice
SELLSales
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| - | - | Y | Input as an empty value | ||
| PdfInvoiceType | string | - | N |
PDF Invoice Type
1seller
2buyer
If not entered, it outputs both for seller and buyer
|
Request Example
curl --request GET \
--url 'https://{domain}/Taxinvoice/{MgtKeyType}/{MgtKey}?PDF' \
--header 'Authorization: Bearer {token}' \
--output output.pdf
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| - | binary | - | e-Tax invoice PDF binary |
